static char *RCSid = "$Header: /sequent2/empire/EMP/lib/global/RCS/ship.c,v 1.2 89/09/10 21:37:57 mr-frog Exp $";

/*
 * ship.c
 *
 * marine characteristics -- ship capabilities descriptions
 * 
 */

#include "misc.h"
#include "var.h"
#include "ship.h"

struct  mchrstr mchr[]  = { /*
 lcm  hcm armor speed visib vrnge frnge glim name   		tech	cost */
{25,  15,  10,   20,   15,    2,    0,    0, "fishing boat",	0,	200,
    M_FOOD,  0, 4, { V_CIVIL, V_MILIT, V_FOOD, V_UW }, { 30, 5, 100, 15 }, },
{60,  40,  50,   25,   35,    3,    0,    0, "cargo ship",	0,	1000,
    0,  0, 8, { V_CIVIL, V_MILIT, V_SHELL, V_GUN, V_FOOD, V_LCM, V_HCM, V_UW },
	{ 50, 50, 300, 50, 900, 1400, 900, 250 }, },
{60,  40,  20,   25,   25,    3,    0,    0, "slave ship",	8,	1000,
    0,  0, 5, { V_CIVIL, V_MILIT, V_FOOD, V_UW, V_BAR }, { 20, 80, 200, 1200, 50 }, },
{60,  60,  15,   20,   35,    2,    0,    0, "ocean liner",	10,	4000,
    0,  0, 3, { V_CIVIL, V_MILIT, V_FOOD }, { 350, 15, 700 }, },
{25,  25,  60,   30,   20,    3,    1,    1, "minesweep",	20,	550,
    M_SWEEP,  0, 4, { V_MILIT, V_SHELL, V_GUN, V_FOOD }, { 25, 60, 2, 25 }, },
{25,  35,  80,   35,   20,    4,    3,    2, "destroyer",	20,	1100,
    M_MINE|M_SONAR|M_DCH,  0, 4, { V_MILIT, V_SHELL, V_GUN, V_FOOD },
	{ 80, 40, 4, 80 }, },
{40,  40,  40,   25,   50,    3,    0,    0, "ore ship",        25,     2000,
     0,  0, 7, { V_CIVIL, V_MILIT, V_IRON, V_DUST, V_FOOD, V_UW, V_RAD },
        { 30, 5, 990, 990, 200, 45, 990 }, },
{20,  10,  30,   50,   10,    4,    1,    1, "patrol boat",	40,	350,
    0,  0, 4, { V_MILIT, V_SHELL, V_GUN, V_FOOD }, { 10, 10, 2, 30 }, },
{40,  50, 100,   30,   30,    5,    6,    3, "heavy cruiser",	40,	3000,
    M_MINE,  0, 4, { V_MILIT, V_SHELL, V_GUN, V_FOOD }, { 120, 60, 6, 100 }, },
{40,  40,  80,   25,   60,    3,    0,    0, "tanker",		50,	4000,
    0,  0, 6, { V_CIVIL, V_MILIT, V_PETROL, V_FOOD, V_OIL, V_UW },
	{ 30, 5, 990, 200, 990, 25 }, },
{55,  65, 127,   30,   35,    6,    8,    4, "battleship",	50,	4000,
    0,  0, 4, { V_MILIT, V_SHELL, V_GUN, V_FOOD }, { 200, 100, 8, 300 }, },
{70,  65,  80,   30,   35,    8,    2,    2, "aircraft carrier",60,	4400,
    M_FLY, 50, 5, { V_MILIT, V_SHELL, V_GUN, V_PETROL, V_FOOD },
	{ 350, 350, 4, 500, 180}, },
{40,  40,  30,   30,   30,    2,    0,    0, "landing ship",	70,	1200,
    M_LAND,  0, 2, { V_MILIT, V_FOOD }, { 400, 300 }, },
{40,  30,  30,   25,    2,    3,    2,    2, "submarine",	70,	2200,
    M_SUB|M_TORP|M_MINE|M_SONAR,  0, 4, { V_MILIT, V_SHELL, V_GUN, V_FOOD },
	{ 25, 25, 4, 80 }, },
{50,  50, 127,   10,   80,    4,    0,    0, "oil derrick",	120,	2000,
    M_OIL,  0, 5, { V_CIVIL, V_MILIT, V_FOOD, V_OIL, V_UW },
	{ 80, 80, 300, 200, 180 }, },
{20,  30,  70,   30,   15,    3,    2,    2, "guided missile frigate",130,1500,
    M_MSL, 20,   5, { V_MILIT, V_SHELL, V_GUN, V_PETROL, V_FOOD }, 
	{  50, 30, 3, 100, 70 }, },
{80,  30,  20,   40,   20,   10,    0,    0, "fishing trawler",	180,	6000,
    M_FOOD|M_SONAR,  0, 3, { V_CIVIL, V_MILIT, V_FOOD }, { 25, 10, 120 }, },
{40,  40,  20,   70,   17,    5,    0,    0, "yacht",		220,	2500,
    M_LAND,  0, 5, { V_CIVIL, V_MILIT, V_FOOD, V_UW, V_BAR }, { 60, 30, 20, 30 ,10 }, },
{70,  70,  30,   50,    1,    3,    4,    6, "nuc attack sub", 320,	4000,
    M_SUB|M_TORP|M_SONAR,  0, 4, { V_MILIT, V_SHELL, V_GUN, V_FOOD},
	{ 30, 24, 6, 500 }, },
{90,  60,  40,   40,    1,    3,    3,    4, "nuc missile sub", 320, 5000,
    M_SUB|M_TORP|M_SONAR|M_MSL, 20, 5,
	{ V_MILIT, V_SHELL, V_GUN, V_PETROL, V_FOOD}, { 50, 12, 4, 60, 600 }, },
{ 0,   0,   0,    0,    0,    0,    0,    0, "", 		0, 	0,
    0, 0, { 0 }, { 0 }, }
};
/* lcm  hcm armor speed visib vrnge frnge glim name   		tech	cost */

int	shp_maxno = (sizeof(mchr) / sizeof(struct mchrstr)) - 1;
